#include <ESP8266WiFi.h>
#include <ESP8266WiFiMulti.h>

ESP8266WiFiMulti wifiMulti;

void setup() {
  Serial.begin(115200);
  WiFi.mode(WIFI_STA);

  delay(100);

  wifiMulti.addAP("DREAMWALLETS", "DW123456#");
  wifiMulti.addAP("Newton Sir", "Bulb'sfather");
  wifiMulti.addAP("web", "internet");

  Networks();
  while (wifiMulti.run() != WL_CONNECTED)
  {
    delay(4000);
    Serial.print("Connecting....");
  }
}

void loop()
{
  Serial.print("WiFi connected to :: ");
  Serial.println(WiFi.SSID());
  Serial.println("IP address: ");
  Serial.println(WiFi.localIP());
  delay(2000);
}

void Networks() {
  int n = WiFi.scanNetworks();
  Serial.println("scan done");
  if (n == 0)
    Serial.println("no networks found");
  else
  {
    Serial.print(n);
    Serial.println(" networks found");
    for (int i = 0; i < n; ++i)
    {
      // Print SSID and RSSI for each network found
      Serial.print(i + 1);
      Serial.print(": ");
      Serial.print(WiFi.SSID(i));
      Serial.print(" (");
      Serial.print(WiFi.RSSI(i));
      Serial.println(")");
      delay(10);
    }
  }
  Serial.println("");

}
